## org.biojava.stats.svm
Class LinearKernel

    java.lang.Object
      |
      +--org.biojava.stats.svm.LinearKernel

Deprecated. Just use SparseVector.kernel instead...

public class LinearKernel
extends java.lang.Object
implements SVMKernel, java.io.Serializable

Classic linear kernel. It actualy just delegates to SparseVector.kernel.

See Also:
  Serialized Form

Constructor Summary
`LinearKernel()` Deprecated.

Method Summary
`double` `evaluate(java.lang.Object a, java.lang.Object b)` Deprecated. The linear kernel is equal to the dot product of a and b.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinearKernel

    public LinearKernel()

  Deprecated.

Method Detail

### evaluate

    public double evaluate(java.lang.Object a,
                           java.lang.Object b)

  Deprecated.
  The linear kernel is equal to the dot product of a and b.
  Specified by:
    evaluate in interface SVMKernel